x11vnc_0.9.13-6+b1_amd64.deb


Advertisement

Description

x11vnc - VNC server to allow remote access to an existing X session

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename x11vnc_0.9.13-6+b1_amd64.deb
Package name x11vnc
Package version 0.9.13
Package release 6+b1
Package architecture amd64
Package type deb
Category interface::graphical interface::x11 network::server role::program use::login use::viewing x11 x11::application
Homepage http://www.karlrunge.com/x11vnc/
License -
Maintainer Nikita Yushchenko <yoush@debian.org>
Download size 958.35 KB
Installed size 2.01 MB

Alternatives

Package Version Architecture Repository
x11vnc_0.9.16-2_amd64.deb 0.9.16 amd64 Mentors
x11vnc_0.9.13-6_i386.deb 0.9.13 i386 Debian Main
x11vnc - - -

Requires

Name Value
libavahi-client3 >= 0.6.16
libavahi-common3 >= 0.6.16
libc6 >= 2.15
libssl1.1 >= 1.1.0
libvncclient1 >= 0.9.10
libvncserver1 >= 0.9.10
libx11-6 -
libxdamage1 >= 1:1.1
libxext6 -
libxfixes3 -
libxinerama1 -
libxrandr2 -
libxtst6 -
openssl -
tk -
x11vnc-data = 0.9.13-6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package x11vnc_0.9.13-6+b1_amd64.deb
Source Package x11vnc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install x11vnc deb package:
    # sudo apt-get install x11vnc

Files

Path
/usr/bin/x11vnc
/usr/share/applications/x11vnc.desktop
/usr/share/doc/x11vnc/README.gz
/usr/share/doc/x11vnc/changelog.Debian.amd64.gz
/usr/share/doc/x11vnc/changelog.Debian.gz
/usr/share/doc/x11vnc/changelog.gz
/usr/share/doc/x11vnc/copyright
/usr/share/man/man1/x11vnc.1.gz

Changelog

2018-05-07 - Nikita Yushchenko <yoush@debian.org>
x11vnc (0.9.13-6) unstable; urgency=medium
* Add two buffer overflow fixes from upstream. Closes: #851496, #859213.
This is a temporary measure, new upstream should be package instead.
2018-04-13 - Nikita Yushchenko <yoush@debian.org>
x11vnc (0.9.13-5) unstable; urgency=low
* Split build and install into arch and indep parts (Closes: #895591).
2018-04-10 - Nikita Yushchenko <yoush@debian.org>
x11vnc (0.9.13-4) unstable; urgency=low
* New maintainer (Closes: #879439).
* Bump Standards-Version to 4.1.4, no changes needed.
* Use compat version 10:
- no need to pass --parallel to dh,
- no need to pass --with autoreconf to dh and build-depend on autoreconf.
* Re-arrange commands in debian/rules to avoid need of dh --until.
2018-03-29 - Adrian Bunk <bunk@debian.org>
x11vnc (0.9.13-3) unstable; urgency=low
* QA upload.
* Set maintainer to Debian QA Group. (see #879439)
* Use default-jdk for building.
2016-12-21 - Fathi Boudra <fabo@debian.org>
x11vnc (0.9.13-2) unstable; urgency=medium
* Add patches:
- 0001-Fix-openssl-1.1.x-detection.patch - update configure.ac to detect
the OpenSSL  instead of SSL_library_init function
- 0002-Support-openssl-1.1.0.patch - add support for OpenSSL 1.1.0
(Closes: #845106)
- do-not-run-dbus-launch.patch (Closes: #836401)
- enforce-bash.patch - enforce bash due to shopt usage (Closes: #690637)
* Update 10_usepkgconfig.diff: use $PKG_CONFIG instead of pkg-config.
Thanks to Helmut Grohne. (Closes: #845723)
* Update debian/control:
- add dh-autoreconf build dependency
- we really want openjdk, so use openjdk-8-jdk | openjdk-7-jdk
* Update debian/rules: pass --without-tightvnc-filetransfer to configure.
2016-12-19 - Christian Hofstaedtler <zeha@debian.org>
x11vnc (0.9.13-1.3) unstable; urgency=medium
* Non-maintainer upload.
* Build with libssl1.0-dev for now. (Closes: #845106)
2014-08-31 - Andreas Metzler <ametzler@debian.org>
x11vnc (0.9.13-1.2) unstable; urgency=medium
* Non-maintainer upload.
* 10_usepkgconfig.diff: Use pkg-config instead of libvncserver-config to
locate libvncserver/client. This prevents unnecessary linkage and fixes a
FTBFS caused by trying to link against libgcrypt (which is not a
build-dependency). Closes: #760086
2013-05-22 - gregor herrmann <gregoa@debian.org>
x11vnc (0.9.13-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "Transition package to use default java implementation":
apply patch from Ubuntu / James Page:
Transition package to build with default java implementation:
- d/control: BD on default-jdk (>= 1:1.6) instead of openjdk-6-jdk.
(Closes: #684378)
2011-12-31 - Fathi Boudra <fabo@debian.org>
x11vnc (0.9.13-1) unstable; urgency=low
* New upstream release.
2011-02-21 - Fathi Boudra <fabo@debian.org>
x11vnc (0.9.12-1) unstable; urgency=low
* New upstream release. (Closes: #609899)
- jar files fail to work on earlier jvm's. (Closes: #593305)
- FTBFS: error: 'pointer' redeclared as different kind of symbol.
(Closes: #610802)

See Also

Package Description
x264_0.155.2917+git0a84d98-2_amd64.deb video encoder for the H.264/MPEG-4 AVC standard
x265_3.2-2_amd64.deb H.265/HEVC video stream encoder
x2gobroker-agent_0.0.4.1-1_amd64.deb X2Go Session Broker (remote agent)
x2gobroker-authservice_0.0.4.1-1_all.deb X2Go Session Broker (PAM authentication service)
x2gobroker-common_0.0.4.1-1_all.deb X2Go Session Broker (common files)
x2gobroker-daemon_0.0.4.1-1_all.deb X2Go Session Broker (standalone daemon)
x2gobroker-loadchecker_0.0.4.1-1_all.deb X2Go Session Broker (load checker service)
x2gobroker-ssh_0.0.4.1-1_amd64.deb X2Go Session Broker (SSH broker)
x2gobroker-wsgi_0.0.4.1-1_all.deb X2Go Session Broker (WSGI)
x2gobroker_0.0.4.1-1_all.deb X2Go Session Broker (executable)
x2goclient_4.1.2.1-2_amd64.deb X2Go Client application (Qt5)
x2godesktopsharing_3.2.0.0-2_amd64.deb Share X11 desktops with other users via X2Go
x2goserver-common_4.1.0.3-4_amd64.deb X2Go Server (common files)
x2goserver-desktopsharing_4.1.0.3-4_amd64.deb Share X11 desktops with other users via X2Go
x2goserver-extensions_4.1.0.3-4_all.deb X2Go Server (extension support)
Advertisement
Advertisement